package emps.v2_obiektowo;

import java.util.List;

public class P6_MinMax_v1 {
	// Wypisz dane pracownika, który zarabia najwięcej, oraz pracownika, który zarabia najmniej.
	// (wypisz co najmniej imię, nazwisko i pensję)

	// w tym rozwiązaniu wypiszę wszystkie osoby, które zarabiają maksymalną /minimalną pensję, nawet gdyby było ich więcej 
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		// etap 1a: ustalam maksymalną pensję
		int maxSalary = 0;
		for(Employee emp : emps) {
			if(emp.getSalary() > maxSalary) {
				maxSalary = emp.getSalary();
			}
		}
		
		// etap 1b: ustalam minimalną pensję
		int minSalary = maxSalary;
		for(Employee emp : emps) {
			if(emp.getSalary() < minSalary) {
				minSalary = emp.getSalary();
			}
		}
		
		// etap 2: ponownie przeglądając dane szukam KTO tyle zarabia i go wypisuję
		System.out.println("najbogatsi: (pensja " + maxSalary +"):");
		for(Employee emp : emps) {
			if(emp.getSalary() == maxSalary) {
				System.out.println(emp);
			}
		}
		
		System.out.println("najbiedniejsi: (pensja " + minSalary +"):");
		for(Employee emp : emps) {
			if(emp.getSalary() == minSalary) {
				System.out.println(emp);
			}
		}
	}

}
